[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.AfterRefresh

Event triggered after the data has been refreshed.

## Declaration

Source position: db.pas line 1664

`public property TDataSet.AfterRefresh : TDataSetNotifyEvent read FAfterRefresh write FAfterRefresh;`

## Description

AfterRefresh is triggered at the end of the TDataset.Refresh method, after the dataset has refreshed its data and is again in dsBrowse state. This event can be used to react on changes in data in the current record

## See also

TDataset.Refresh |  | Refresh the records in the dataset
TDataset.State |  | Current operational state of the dataset
TDataset.BeforeRefresh |  | Event triggered before the data is refreshed.

Documentation generated on: Feb 26 2014